#include <stdio.h>
#include <stdlib.h>

void error(const char *msg);

extern void minimax(int *a, int n, int *pmin, int *pmax);

int main(int argc, char const *argv[])
{
    int *a, n;
    scanf("%d", &n);

    if ((a = malloc(n * sizeof(int))) == NULL)
        error("Neuspela alokacija memorije!");

    for (int i = 0; i < n; i++)
    {
        scanf("%d", &a[i]);
    }

    int min, max;
    minimax(a, n, &min, &max);

    printf("%d %d", min, max);

    return 0;
}

void error(const char *msg)
{
    fprintf(stderr, "Greska: %s", msg);
    exit(EXIT_FAILURE);
}
