#include <stdio.h>
#include <stdlib.h>

void error(const char *msg);

extern int suma_niza(int *a, int n);

int main(int argc, char const *argv[])
{
    int *a, n;
    scanf("%d", &n);

    if ((a = malloc(n * sizeof(int))) == NULL)
        error("Neuspela alokacija memorije!");

    for (int i = 0; i < n; i++)
    {
        scanf("%d", &a[i]);
    }

    int suma = suma_niza(a, n);

    printf("%d", suma);

    return 0;
}

void error(const char *msg)
{
    fprintf(stderr, "Greska: %s", msg);
    exit(EXIT_FAILURE);
}
